### Method

# GimpUi ProcedureDialog get_file_chooser

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_file_chooser (
      GimpProcedureDialog* dialog,
      const gchar* property,
      GtkFileChooserAction action
    )

#### Description [src]

Creates a new %GtkFileChooserButton for `property` which must necessarily be a config path or %GFile property. This can be used instead of `gimp_procedure_dialog_get_widget()` in particular if you want to create a button in non-open modes (i.e. to save files, and select or create folders).

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property`

  Type: `const gchar*`

  Name of the %GimpParamConfigPath or %GParamObject of value type %GFile property to build a `GtkFileChooserButton` for. It must be a property of the `GimpProcedure` `dialog` has been created for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`action`

  Type: `GtkFileChooserAction`

  The open mode for the widget.

#### Return value

Type: `GtkWidget`

The `GtkWidget` representing `property`. The object belongs to `dialog` and must not be freed.

The data is owned by the instance.